/*
 *   profilePropsPage.h
 *
 *   Copyright (C) 2004 Waldo Bastian <bastian@kde.org>
 *   Copyright (C) 2009 Ian Reinhart Geiser <geiseri@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02111-1307, USA.
 */
#ifndef _PROFILEPROPSPAGE_H_
#define _PROFILEPROPSPAGE_H_

#include "ui_profilePropsPage_ui.h"
#include "pageWidget.h"

class ProfilePropsPageUI : public QWidget, public Ui::ProfilePropsPageUI
{
public:
  ProfilePropsPageUI( QWidget *parent ) : QWidget( parent ) {
    setupUi( this );
  }
};

class ProfilePropsPage : public ProfilePropsPageUI
{
  Q_OBJECT
public:
  ProfilePropsPage(QWidget *parent, const QString &profile);
  ~ProfilePropsPage();

  virtual void load();
  virtual bool save();

  virtual void setFocus();

  virtual QString subCaption();

  QString profile() { return m_profile; }
  QWidget *widget() { return m_widget; }
protected slots:
  void slotProfileNameChanged();

private:
  QString m_profile;
  bool m_fixedProfileDir;
  QString m_origProfile;
  QString m_origInstallDir;
  QWidget *m_widget;
};

#endif
