/*
 *   userManagement.h
 *
 *   Copyright (C) 2004 Waldo Bastian <bastian@kde.org>
 *   Copyright (C) 2009 Ian Reinhart Geiser <geiseri@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02111-1307, USA.
 */
#ifndef _USERMANAGEMENT_H_
#define _USERMANAGEMENT_H_

#include "pageWidget.h"
#include "ui_userManagement_ui.h"

#include "ui_userManagementUser_ui.h"
#include "ui_userManagementGroup_ui.h"

class UserManagementUI : public QWidget, public Ui::UserManagementUI
{
public:
  UserManagementUI( QWidget *parent ) : QWidget( parent ) {
    setupUi( this );
  }
};

class UserManagementUserUI : public QWidget, public Ui::UserManagementUserUI
{
public:
  UserManagementUserUI( QWidget *parent ) : QWidget( parent ) {
    setupUi( this );
  }
};

class UserManagementGroupUI : public QWidget, public Ui::UserManagementGroupUI
{
public:
  UserManagementGroupUI( QWidget *parent ) : QWidget( parent ) {
    setupUi( this );
  }
};

class UserManagementUI;

class UserManagementPage : public UserManagementUI
{
  Q_OBJECT
public:
  UserManagementPage(QWidget* parent );
  ~UserManagementPage();

  virtual void load();
  virtual bool save();

  virtual void setFocus();

  virtual QString subCaption();

  QWidget *widget() { return m_widget; }

protected:
  void init();

private slots:
  void slotAddGroup();
  void slotDeleteGroup();
  void slotAddUser();
  void slotDeleteUser();

  void slotUpdateButtons();

private:
  UserManagementUI *w;
  QStringList m_allUsers;
  QStringList m_allGroups;
  QStringList m_allProfiles;
  QWidget *m_widget;
};

#endif
